#!/bin/sh
# shell script for v2mixer project,
# see http://www.livev2.com/

cd `dirname $0` || exit 1
_JAVA='bin/jre/bin/java'

if [ -x $_JAVA ]
then
	echo "use $_JAVA"
elif [ -x /usr/bin/java ]
then
	_JAVA='/usr/bin/java'
elif [ -x /bin/java ]
then
	_JAVA='/bin/java'
else
	echo "java runtime required"
	pause
	exit 1
fi

_JAR='bin/v2mixer-pub.jar'
# check installed on /usr/share
if [ -e /usr/share/livev2.com/v2mixer ]
then
	_JAR="/usr/share/livev2.com/v2mixer/$_JAR"
	if [ -e ~/.livev2.com/v2mixer ]
	then
		echo 'use user home'
		cd ~/.livev2.com/v2mixer/ || exit 1
	else
		echo 'create user home'
		mkdir ~/.livev2.com/ || exit 1
		cp -rL /usr/share/livev2.com/v2mixer ~/.livev2.com/ || exit 1
		rm -fr ~/.livev2.com/v2mixer/bin
		# as work directory
		cd ~/.livev2.com/v2mixer/ || exit 1
	fi
fi

exec $_JAVA -XX:MaxRAMPercentage=80.0 -jar $_JAR $@
